osgUtil::RenderLeaf Class Reference

`#include <RenderLeaf>`

Inheritance diagram for osgUtil::RenderLeaf:

## Public Member Functions

| RenderLeaf (osg::Drawable *drawable, osg::RefMatrix *projection, osg::RefMatrix *modelview, float depth=0.0f, unsigned int traversalOrderNumber=0)
void | set (osg::Drawable *drawable, osg::RefMatrix *projection, osg::RefMatrix *modelview, float depth=0.0f, unsigned int traversalOrderNumber=0)
void | reset ()
virtual void | render (osg::RenderInfo &renderInfo, RenderLeaf *previous)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *state=0) const
const osg::Drawable * | getDrawable () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

StateGraph * | _parent
osg::ref_ptr< osg::Drawable > | _drawable
osg::ref_ptr< osg::RefMatrix > | _projection
osg::ref_ptr< osg::RefMatrix > | _modelview
float | _depth
bool | _dynamic
unsigned int | _traversalOrderNumber

## Friends

class | osgUtil::StateGraph
| Allow StateGraph to change the RenderLeaf's _parent.

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Container class for all data required for rendering of drawables.

## Constructor & Destructor Documentation

## RenderLeaf()

osgUtil::RenderLeaf::RenderLeaf | ( | osg::Drawable * | drawable,
|  | osg::RefMatrix * | projection,
|  | osg::RefMatrix * | modelview,
|  | float | depth = 0.0f,
|  | unsigned int | traversalOrderNumber = 0 )

inline

References _depth, _drawable, _dynamic, _modelview, _parent, _projection, _traversalOrderNumber, osg::Object::DYNAMIC, osg::Object::getDataVariance(), and osg::Referenced::Referenced().

Referenced by render().

## Member Function Documentation

## getDrawable()

const osg::Drawable * osgUtil::RenderLeaf::getDrawable | ( |  | ) | const

inline

References _drawable.

## releaseGLObjects()

virtual void osgUtil::RenderLeaf::releaseGLObjects | ( | osg::State * | state = 0 | ) | const

inline virtual

References _drawable.

## render()

virtual void osgUtil::RenderLeaf::render | ( | osg::RenderInfo & | renderInfo,
|  | RenderLeaf * | previous )

virtual

References RenderLeaf().

## reset()

void osgUtil::RenderLeaf::reset | ( |  | ) |

inline

References _depth, _drawable, _dynamic, _modelview, _parent, _projection, and _traversalOrderNumber.

## resizeGLObjectBuffers()

virtual void osgUtil::RenderLeaf::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

inline virtual

References _drawable.

## set()

void osgUtil::RenderLeaf::set | ( | osg::Drawable * | drawable,
|  | osg::RefMatrix * | projection,
|  | osg::RefMatrix * | modelview,
|  | float | depth = 0.0f,
|  | unsigned int | traversalOrderNumber = 0 )

inline

References _depth, _drawable, _dynamic, _modelview, _parent, _projection, _traversalOrderNumber, osg::Object::DYNAMIC, and osg::Object::getDataVariance().

Referenced by osgUtil::CullVisitor::createOrReuseRenderLeaf().

## Friends And Related Symbol Documentation

## osgUtil::StateGraph

friend class osgUtil::StateGraph

friend

Allow StateGraph to change the RenderLeaf's _parent.

## Member Data Documentation

## _depth

float osgUtil::RenderLeaf::_depth

Referenced by RenderLeaf(), reset(), and set().

## _drawable

osg::ref_ptr<osg::Drawable> osgUtil::RenderLeaf::_drawable

Referenced by getDrawable(), releaseGLObjects(), RenderLeaf(), reset(), resizeGLObjectBuffers(), and set().

## _dynamic

bool osgUtil::RenderLeaf::_dynamic

Referenced by osgUtil::StateGraph::addLeaf(), RenderLeaf(), reset(), and set().

## _modelview

osg::ref_ptr<osg::RefMatrix> osgUtil::RenderLeaf::_modelview

Referenced by RenderLeaf(), reset(), and set().

## _parent

StateGraph* osgUtil::RenderLeaf::_parent

Referenced by osgUtil::StateGraph::addLeaf(), RenderLeaf(), reset(), and set().

## _projection

osg::ref_ptr<osg::RefMatrix> osgUtil::RenderLeaf::_projection

Referenced by RenderLeaf(), reset(), and set().

## _traversalOrderNumber

unsigned int osgUtil::RenderLeaf::_traversalOrderNumber

Referenced by RenderLeaf(), reset(), and set().

The documentation for this class was generated from the following file:

- RenderLeaf